Subject: [Cellar] WGLC draft-ietf-cellar-matroska --- pace of first few chapters

From: Martijn van Beurden <[email-masked]>
Date: Thu, 7 Apr 2022 21:34:05 +0200

I don't know whether this is important in specification documents, but
I find the first few chapters having a strange pace, for lack of a
better term. Introduction -> Status of this document -> Security
considerations -> Notations and conventions -> Basis in EBML ->
Language codes -> Matroska structure. This seems unnecessary switching
topics.

I propose moving security considerations to the back of the document
(just before IANA considerations) and Language codes to before Unknown
elements. Also, Basis in EBML seems a bit of a strange title to me.
Perhaps merging Basis in EBML and Matroska structure to one chapter
with the title Matroska structure would be better? One could say the
Matroska format is 'structured' using EBML. The content now under
Matroska structure would then be a section with the name 'Matroska
overview', or a more specific name like 'Element overview'?

This way the document starts with the basis, the root of Matroska,
instead of details like language codes.